Main Page | Class List | File List | Class Members | File Members | Related Pages

# ds__SignatureMethodType Struct Reference

"http://www.w3.org/2000/09/xmldsig#":SignatureMethodType is a complexType. More...

`#include <ds.h>`

List of all members.

## Public Attributes
int * | HMACOutputLength
| Element HMACOutputLength of type "http://www.w3.org/2000/09/xmldsig#":HMACOutputLengthType.
char * | Algorithm
| Required attribute.

## Detailed Description

"http://www.w3.org/2000/09/xmldsig#":SignatureMethodType is a complexType.

## Member Data Documentation

char* ds__SignatureMethodType::Algorithm

| Required attribute. TODO: <any namespace="##other" minoccurs="0" maxoccurs="unbounded"> Schema extensibility is user-definable. Consult the protocol documentation to change and/or insert declarations. Use wsdl2h option -x to remove this element. Attribute Algorithm of type xs:anyURI.

int* ds__SignatureMethodType::HMACOutputLength

| Element HMACOutputLength of type "http://www.w3.org/2000/09/xmldsig#":HMACOutputLengthType. Optional element.

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/ds.h